import {
  Meta,
  Story,
  Canvas,
  ArgsTable,
  Source,
} from '@storybook/addon-docs/blocks'

import { Comp } from '@constants/story'
import { SectionDivider, Li, P } from '@utils/components/doc.styled'

# {{name}}

<P>
  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac
  turpis egestas.
</P>

#chip-auto-layout

## Goals / Usage

<P>
  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac
  turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor
  sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies
  mi vitae est. Mauris placerat eleifend leo.
</P>

## Principle

<ul>
  <Li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</Li>
  <P>
    Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in,
    pharetra a, ultricies in, diam. Sed arcu. Cras consequat.
  </P>
  <Li>Aliquam tincidunt mauris eu risus.</Li>
  <P>
    Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu
    vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt
    quis, accumsan porttitor, facilisis luctus, metus.
  </P>
  <Li>Vestibulum auctor dapibus neque.</Li>
  <P>
    Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer
    ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo
    a, sodales sit amet, nisi.
  </P>
</ul>

<SectionDivider />

<Meta title={`${Comp}/{{lowerCase name}}/Overview`} />

## Import

<Source
  language={'js'}
  code={`
// import
import {{name}} from 'seruni/components/{{name}}'
  `}
  dark
/>

## {{name}}

<Canvas>
  <Story name='{{name}}' id='component-{{lowerCase name}}--default' />
</Canvas>
